Loading...
Searching...
No Matches
casacore::Fallible_global_functions_invalid_access Struct Reference
casa package (libcasa_casa) » Utilities_module

More...

`#include <Fallible.h>`

## Public Member Functions

void | AccessInvalidFallibleObject ()

## Detailed Description

throw exception on access of an invalid object This function gets called when an invalid object is accessed. It just throws an exception. Since we have inline functions, let's keep the throw out of them to keep them from moving out of line.

### Thrown Exceptions

- AipsError

Definition at line 47 of file Fallible.h.

## Member Function Documentation

## AccessInvalidFallibleObject()

void casacore::Fallible_global_functions_invalid_access::AccessInvalidFallibleObject | ( |  | ) |

The documentation for this struct was generated from the following file:

- casa/Utilities/Fallible.h